## convertdate 2.1.3

=== Makefile ===
# This file is part of convertdate.
# http://github.com/fitnr/convertdate

# Licensed under the GPL-v3.0 license:
# http://opensource.org/licenses/MIT
# Copyright (c) 2016, fitnr <fitnr@fakeisthenewreal>

test:
	coverage run --source convertdate setup.py test
	coverage report
	coverage html

deploy: README.rst
	git push; git push --tags
	rm -rf dist build
	python3.5 setup.py sdist bdist_wheel --universal
	twine upload dist/*

=== debian/changelog ===
convertdate (2.1.3-2) unstable; urgency=medium

  * bump standards version, no change
  * remove python2 support, since python-ephem was removed

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Sep 2019 14:08:29 -0400

convertdate (2.1.3-1) unstable; urgency=medium

  * package for Debian as a missing dateparser dependency (Closes: #922335)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 14 Feb 2019 18:27:51 +0000

=== debian/control ===
Source: convertdate
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ephem,
               python3-setuptools,
               python3-tz,
Standards-Version: 4.4.0
Homepage: https://github.com/fitnr/convertdate
Vcs-Browser: https://salsa.debian.org/python-team/modules/converdate
Vcs-Git: https://salsa.debian.org/python-team/modules/converdate.git

Package: python3-convertdate
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Converts between Gregorian dates and other calendar systems. (Python 3)
 Convertdate allows you to generate calendars according to different
 historical or modern systems:
 .
 Available calendars:
 .
  * Bahai
  * Coptic (Alexandrian)
  * French Republican
  * Gregorian
  * Hebrew
  * Indian Civil
  * Islamic
  * Julian
  * Mayan
  * Persian
  * Positivist
  * Mayan
  * ISO
  * Ordinal (day of year)
  * Dublin day count
  * Julian day count
 .
 The holidays module also provides some useful holiday-calculation,
 with a focus on North American and Jewish holidays.
 .
 This package ships the Python 3 version.

## convertdate 2.2.1

=== Makefile ===
# This file is part of convertdate.
# http://github.com/fitnr/convertdate

# Licensed under the MIT license:
# http://opensource.org/licenses/MIT
# Copyright (c) 2016, fitnr <fitnr@fakeisthenewreal>

test:
	coverage run --source convertdate setup.py test
	coverage report
	coverage html

deploy:
	git push; git push --tags
	rm -rf dist build
	python setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*

=== debian/changelog ===
convertdate (2.2.1-1) unstable; urgency=medium

  * new upstream release (Closes: #954908)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 22:31:16 -0400

convertdate (2.2.0-1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Antoine Beaupré ]
  * New upstream release
  * make this officially part of DPMT

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 22:43:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: convertdate
 Section: python
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-ephem,
+               python3-pymeeus,
                python3-setuptools,
                python3-tz,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/fitnr/convertdate
 Vcs-Browser: https://salsa.debian.org/python-team/modules/converdate
 Vcs-Git: https://salsa.debian.org/python-team/modules/converdate.git

## convertdate 2.3.0

=== Makefile ===
# This file is part of convertdate.
# http://github.com/fitnr/convertdate

# Licensed under the MIT license:
# http://opensource.org/licenses/MIT
# Copyright (c) 2016, fitnr <fitnr@fakeisthenewreal>

.PHONY: all htmlcov test deploy format
all:

htmlcov: | test
	python -m coverage html

cov:
	python -m coverage run --branch --source=convertdate -m unittest
	python -m coverage report

format:
	black src/ tests/
	isort src/convertdate/*.py src/convertdate/data/*.py tests/*.py

deploy:
	rm -rf dist build
	python setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*
	git push; git push --tags

=== debian/changelog ===
convertdate (2.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 16:45:04 -0500

## convertdate 2.3.2

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 htmlcov: | test
 	python -m coverage html
 
+test:
+	tox
+
 cov:
 	python -m coverage run --branch --source=convertdate -m unittest
 	python -m coverage report
@@ -22,6 +25,6 @@
 deploy:
 	rm -rf dist build
 	python setup.py sdist
-	python setup.py bdist_wheel --universal
+	python setup.py bdist_wheel
 	twine upload dist/*
 	git push; git push --tags

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
convertdate (2.3.2-1ubuntu1) jammy; urgency=medium

  * Add test dependency on python3-all for consistency with use of
    `py3versions -s`.  Closes: #1001290.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 20:12:34 +0000

convertdate (2.3.2-1) unstable; urgency=medium

  * new upstream release, required for bullseye's Python 3.9
  * missed the freeze deadline: add autopkgtest to cross the freeze

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 15 Mar 2021 13:32:20 -0400

convertdate (2.3.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 02 Mar 2021 20:03:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: convertdate
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -11,8 +12,8 @@
                python3-tz,
 Standards-Version: 4.4.1
 Homepage: https://github.com/fitnr/convertdate
-Vcs-Browser: https://salsa.debian.org/python-team/modules/converdate
-Vcs-Git: https://salsa.debian.org/python-team/modules/converdate.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/converdate
+Vcs-Git: https://salsa.debian.org/python-team/packages/converdate.git
 
 Package: python3-convertdate
 Architecture: all

=== debian/tests/control ===
Tests: python3-unittest
Restrictions: allow-stderr
Depends: @, python3-all

=== debian/watch ===
# try also https://pypi.debian.net/convertdate/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/convertdate/convertdate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## convertdate 2.4.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	python -m coverage html
 
 test:
-	tox
+	python -m unittest
+
+pylint:
+	pylint convertdate/ tests
 
 cov:
 	python -m coverage run --branch --source=convertdate -m unittest
@@ -24,7 +27,6 @@
 
 deploy:
 	rm -rf dist build
-	python setup.py sdist
-	python setup.py bdist_wheel
+	python -m build
 	twine upload dist/*
 	git push; git push --tags

=== debian/changelog ===
convertdate (2.4.0-1) unstable; urgency=medium

  * Switch to pristine-tar/upstream pattern
    - technically, this only means we disregard the upstream repo from now
      on...
    - ... and that this build was based on the tarball, not the tag
  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 15:24:01 -0500

convertdate (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Add python3-all as dependency. Closes: #1001290
  * autopkgtest: Mark d/tests/python3-unittest as executable.
  * d/watch:
    - Update to version 4.
    - Point URL to GitHub, which includes unittests. Current version
      is also downloaded from GitHub.
  * Bump debhelper to version 13.
  * d/changelog: remove trailing whitespace.
  * Add upstream metadata file with fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.
  * Document Rules-Requires-Root
  * Convert first letter to lower case and remove punctuation
    in short description
  * Remove fields Recommends and Suggests from binary package, not used.
  * Update Standards-Version to 4.6.0.
  * Enable salsa CI.
  * Renamed repository, to match source name.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 11 Dec 2021 16:04:27 +0000

=== debian/control ===
Source: convertdate
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pymeeus,
               python3-setuptools,
               python3-tz,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fitnr/convertdate
Vcs-Browser: https://salsa.debian.org/python-team/packages/convertdate
Vcs-Git: https://salsa.debian.org/python-team/packages/convertdate.git

Package: python3-convertdate
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: converts between Gregorian dates and other calendar systems (Python 3)
 Convertdate allows you to generate calendars according to different
 historical or modern systems:
 .
 Available calendars:
 .
  * Bahai
  * Coptic (Alexandrian)
  * French Republican
  * Gregorian
  * Hebrew
  * Indian Civil
  * Islamic
  * Julian
  * Mayan
  * Persian
  * Positivist
  * Mayan
  * ISO
  * Ordinal (day of year)
  * Dublin day count
  * Julian day count
 .
 The holidays module also provides some useful holiday-calculation,
 with a focus on North American and Jewish holidays.
 .
 This package ships the Python 3 version.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=convertdate
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
Tests: python3-unittest
Restrictions: allow-stderr
Depends: python3-all,
         python3-convertdate,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/convertdate-$1\.tar\.gz/ \
  https://github.com/fitnr/convertdate/tags .*/v?(\d\S+)\.tar\.gz
